# $Revision: 1.51 $, $Date: 2002/09/21 17:10:47 $
Summary:	Common Unix Printing System
Summary(pl):	Popularny System Druku dla Unixa
Summary(pt_BR):	Sistema Unix de Impresso
Name:		cups
Version:	1.1.14
Release:	21
Epoch:		1
License:	GPL/LGPL
Group:		Applications/System
Source0:	ftp://ftp.easysw.com/pub/%{name}/%{version}/%{name}-%{version}-source.tar.bz2
Source1:	%{name}.init
Source2:	%{name}.pamd
Source3:	%{name}.logrotate
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-config.patch
Patch2:		%{name}-tmpdir.patch
Patch3:		%{name}-lp-lpr.patch
Patch4:		%{name}-options.patch
Patch5:		%{name}-pstoraster-gcc-2.96.patch
Patch6:		%{name}-ENCRYPTIONtxt.patch
URL:		http://www.cups.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	openssl-devel >= 0.9.6b
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
Prereq:		%{name}-libs = %{version}
Prereq:		/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	lpr
Obsoletes:	LPRng

%description
CUPS provides a portable printing layer for UNIX-based operating
systems. It has been developed by Easy Software Products to promote a
standard printing solution for all UNIX vendors and users. CUPS
provides the System V and Berkeley command-line interfaces. CUPS uses
the Internet Printing Protocol ("IPP") as the basis for managing print
jobs and queues. The Line Printer Daemon ("LPD") Server Message Block
("SMB"), and AppSocket (a.k.a. JetDirect) protocols are also supported
with reduced functionality. CUPS adds network printer browsing and
PostScript Printer Description ("PPD") based printing options to
support real-world printing under UNIX.

%description -l pl
CUPS dostarcza standardowy poziom drukowania dla systemw bazujcych
na UNIXie. CUPS uywa protokou IPP - Internet Printint Protocol jako
podstawy do zarzdzania zadaniami i kolejkami druku.

%description -l pt_BR
O sistema Unix de impresso (CUPS) fornece uma camada de impresso
portvel para os sistemas operacionais baseados no UNIX.

%package lib
Summary:	Common Unix Printing System Libraries
Summary(pl):	Biblioteki dla CUPS
Summary(pt_BR):	Sistema Unix de Impresso - bibliotecas para uso em clientes cups
Group:		Development/Libraries
Provides:	%{name}-libs = %{epoch}:%{version}-%{release}
Obsoletes:	%{name}-libs
Obsoletes:	libcups1

%description lib
Common Unix Printing System Libraries.

%description lib -l pl
Biblioteki dla CUPS.

%description lib -l pt_BR
Bibliotecas CUPS requeridas pelos clientes CUPS.

%package clients
Summary:	Common Unix Printing System Clients
Summary(pl):	Aplikacje klienckie dla CUPS
Group:		Applications/Printing
Provides:	%{name}-clients = %{epoch}:%{version}-%{release}
Conflicts:	LPRng

%description clients
Common Unix Printing System Clients.

%description clients -l pl
Aplikacje klienckie dla CUPS.

%package image-lib
Summary:	Common Unix Printing System Libraries - images manipulation
Summary(pl):	Biblioteki dla CUPS - obsuga formatw graficznych
Summary(pt_BR):	Sistema Unix de Impresso - bibliotecas para uso em clientes cups
Group:		Development/Libraries
Requires:	%{name}-lib = %{epoch}:%{version}-%{release}
Obsoletes:	libcups1

%description image-lib
Common Unix Printing System Libraries - images manupalation.

%description image-lib -l pl
Biblioteki dla CUPS - obsuga formatw graficznych.

%description image-lib -l pt_BR
Bibliotecas CUPS requeridas pelos clientes CUPS.

%package devel
Summary:	Common Unix Printing System development files
Summary(pl):	Popularny System Druku dla Unixa, pliki nagwkowe
Summary(pt_BR):	Sistema Unix de Impresso - ambiente de desenvolvimento
Group:		Development/Libraries
Requires:	%{name}-lib = %{version}
Requires:	%{name}-image-lib = %{version}
Obsoletes:	libcups1-devel

%description devel
Common Unix Printing System development files.

%description devel -l pl
Popularny System Druku dla Unixa, pliki nagwkowe.

%description devel -l pt_BR
Este pacote  um adicional que contem um ambiente de desenvolvimento
para a criao de suporte a novas impressoras e novos servios ao
CUPS.

%package static
Summary:	Common Unix Printing System static libraries
Summary(pl):	Popularny System Druku dla Unixa, biblioteki statyczne
Summary(pt_BR):	Common Unix Printing System - bibliotecas estticas
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Common Unix Printing System static libraries.

%description static -l pl
Popularny System Druku dla Unixa, biblioteki statyczne.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento de programas que usam as
bibliotecas do CUPS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
aclocal
%{__autoconf}
if [ -f %{_pkgconfigdir}/libpng12.pc ] ; then
	CFLAGS="%{rpmcflags} `pkg-config libpng12 --cflags`"
	CPPFLAGS="`pkg-config libpng12 --cflags`"
fi
%configure CPPFLAGS="$CPPFLAGS" \
	--with-docdir=%{_libdir}/%{name}/cgi-bin
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{{rc.d/init.d,pam.d,logrotate.d},security} \
	$RPM_BUILD_ROOT/var/log/{,archiv/}cups

%{__make} DESTDIR=$RPM_BUILD_ROOT install

install %{SOURCE1}	$RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2}	$RPM_BUILD_ROOT/etc/pam.d/%{name}
install %{SOURCE3}	$RPM_BUILD_ROOT/etc/logrotate.d/%{name}

# for internal http browser:
cp doc/*.html	$RPM_BUILD_ROOT/%{_libdir}/%{name}/cgi-bin/
cp doc/*.css	$RPM_BUILD_ROOT/%{_libdir}/%{name}/cgi-bin/
cp doc/images/*	$RPM_BUILD_ROOT/%{_libdir}/%{name}/cgi-bin/images/

touch $RPM_BUILD_ROOT/var/log/cups/{access_log,error_log,page_log}
touch $RPM_BUILD_ROOT/etc/security/blacklist.cups
%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add cups
if [ -f /var/lock/subsys/cupsd ]; then
        /etc/rc.d/init.d/cups restart 1>&2
else
        echo "Run \"/etc/rc.d/init.d/cups start\" to start cups daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/cupsd ]; then
		/etc/rc.d/init.d/cups stop 1>&2
	fi
	/sbin/chkconfig --del cups
fi

%post   lib -p /sbin/ldconfig
%postun lib -p /sbin/ldconfig
%post   image-lib -p /sbin/ldconfig
%postun image-lib -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
#%doc *.gz doc/*.html doc/*.css doc/images
%doc *.txt
%attr(640,root,root) %config %verify(not size mtime md5) /etc/pam.d/*
%attr(754,root,root) /etc/rc.d/init.d/cups
%dir %{_sysconfdir}/%{name}
%attr(640,root,lp) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/classes.conf
%attr(640,root,lp) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/cupsd.conf
%attr(640,root,lp) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/printers.conf
%attr(640,root,lp) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/*.convs
%attr(640,root,lp) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/*.types
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.cups
%dir %{_sysconfdir}/%{name}/certs
%dir %{_sysconfdir}/%{name}/interfaces
%dir %{_sysconfdir}/%{name}/ppd
%attr(644,root,root) %{_sysconfdir}/logrotate.d/%{name}
%attr(4755,lp,root) %{_bindir}/lppasswd
%attr(755,root,root) %{_bindir}/disable
%attr(755,root,root) %{_bindir}/enable
%dir %{_libdir}/cups
%dir %{_libdir}/cups/*
%attr(755,root,root)  %{_libdir}/cups/*/*
%attr(755,root,root) %{_sbindir}/*
%{_datadir}/cups
%{_mandir}/man1/backend.1.gz
%{_mandir}/man1/filter.1.gz
%{_mandir}/man1/lppasswd.1.gz
%{_mandir}/man[58]/*
%{_datadir}/locale/C/cups_C
%lang(be) %{_datadir}/locale/be/cups_be
%lang(cs) %{_datadir}/locale/cs/cups_cs
%lang(de) %{_datadir}/locale/de/cups_de
%{_datadir}/locale/en/cups_en
%lang(es) %{_datadir}/locale/es/cups_es
%lang(fr) %{_datadir}/locale/fr/cups_fr
%lang(he) %{_datadir}/locale/he/cups_he
%lang(it) %{_datadir}/locale/it/cups_it
%lang(ru) %{_datadir}/locale/ru_RU.*/cups_ru_RU.*
%lang(sv) %{_datadir}/locale/sv/cups_sv
%lang(uk) %{_datadir}/locale/uk/cups_uk
%lang(uk) %{_datadir}/locale/uk_UA.*/cups_uk_UA.*
%lang(zh_CN) %{_datadir}/locale/zh_CN/cups_zh_CN
/var/spool/cups
%attr(750,root,root) %dir /var/log/archiv/cups
%attr(750,root,root) %dir /var/log/cups
%attr(640,root,root) %ghost /var/log/cups/access_log
%attr(640,root,root) %ghost /var/log/cups/error_log
%attr(640,root,root) %ghost /var/log/cups/page_log

%files lib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcups.so.*

%files clients
%defattr(644,root,root,755)
%attr(644,root,lp) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/client.conf
%attr(755,root,root) %{_bindir}/cancel
%attr(755,root,root) %{_bindir}/lp
%attr(755,root,root) %{_bindir}/lpoptions
%attr(755,root,root) %{_bindir}/lpq
%attr(755,root,root) %{_bindir}/lpr
%attr(755,root,root) %{_bindir}/lprm
%attr(755,root,root) %{_bindir}/lpstat
%{_mandir}/man1/lp.1.gz
%{_mandir}/man1/lpoptions.1.gz
%{_mandir}/man1/lpq.1.gz
%{_mandir}/man1/lpr.1.gz
%{_mandir}/man1/lprm.1.gz
%{_mandir}/man1/lpstat.1.gz

%files image-lib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcupsimage.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cups-config
%{_includedir}/cups
%{_libdir}/lib*.so
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: cups.spec,v $
Revision 1.51  2002/09/21 17:10:47  adgor
- Added /etc/security/blacklist.cups
- Release 21

Revision 1.50  2002/09/19 08:39:35  orzech
- fixed cups.init

Revision 1.49  2002/07/28 19:37:01  mkochano
- Release 19.
- Corrected lock names in post/postun.

Revision 1.48  2002/07/28 08:16:24  mkochano
- Release 18.
- Removed Provides: lpr.

Revision 1.47  2002/07/09 11:04:34  orzech
- enable, disable back to main package
- some man pages moved to -clients subpackage
- rel. 17

Revision 1.46  2002/06/26 20:44:57  dzimi
- add BuildRequires:	pkgconfig

Revision 1.45  2002/06/20 19:58:44  qboosh
- -clients Conflicts: LPRng; release 16

Revision 1.44  2002/06/19 08:32:56  kloczek
- use new %doc.

Revision 1.43  2002/06/15 09:54:40  ankry
- fixed %%lang
- release 15

Revision 1.42  2002/05/21 23:12:46  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.41  2002/05/15 12:22:14  qboosh
- libpng 1.2.2 support (ugly but setting only one variable doesn't help)

Revision 1.40  2002/04/25 15:38:58  zagrodzki
- fixed attributes for client.conf
- clients subpackage
- rel. 14

Revision 1.39  2002/03/29 17:06:23  kloczek
- cosmetics.

Revision 1.38  2002/03/29 17:05:11  kloczek
- release 13.

Revision 1.37  2002/03/29 14:47:57  wiget
don't require obsoleted package

Revision 1.36  2002/03/29 12:47:48  alchemyx
- changed prio of init script to 95 so it boots before gdm
- release 12, STBR

Revision 1.35  2002/03/29 12:32:43  blues
- This will solve problems while upgrading from previous versions, I think

Revision 1.34  2002/03/23 05:51:34  kloczek
- bump release to 11.

Revision 1.33  2002/02/23 01:44:57  kloczek
- adapterized.

Revision 1.32  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.31  2002/02/18 08:58:00  wiget
- cups-libs splited to cups-lib and cups-image-lib (now samba with CUPS support not need libpng & Co.)
- add missing files
- release 2

Revision 1.30  2002/02/17 15:08:28  kloczek
- updated to 1.1.14 (IMPORTAND: security fixes).

Revision 1.29  2002/02/05 14:42:40  kloczek
- back to rel 4 (for allow upgrade from RH :).

Revision 1.28  2002/02/05 13:45:47  blues
- release 1
- doc-dir changed to cgi-bin dir and html's moved to this directory. This
  needed by internal http-server! Don't move it.

Revision 1.27  2002/02/05 12:47:48  kloczek
- updated to 1.1.13 (bugfix release).

Revision 1.26  2002/01/18 02:12:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2002/01/02 18:26:28  kloczek
- release 4: libcups1{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.24  2001/12/21 23:28:44  kloczek
- release 3: fixed init script: do not run cups service on runlevel 0.

Revision 1.23  2001/12/14 03:58:18  kloczek
- release 2.

Revision 1.22  2001/12/12 21:14:04  blues
- added obsoletes rules (they have conflicts files)

Revision 1.21  2001/11/28 21:23:01  kura
- updated to (much better) 1.1.12
- HTML docs moved to /usr/share/doc

Revision 1.20  2001/11/06 00:34:10  mkochano
- Release 3.
- Updated %%files:
  * Added "archiv" directory for logrotate.
  * Added %%ghost entries with empty log files.
  * Tightened security: no read access for other on log files.

Revision 1.19  2001/11/04 22:15:26  mkochano
- Relese 2.
- Added logrotate support.
- Files for internal http server (configuration and so) moved to
  %%{_datadir}/%%{name}/http from %%{_docdir}/%%{name}-%%{version} and
  default configuration updated to match the change.

Revision 1.18  2001/10/23 09:30:46  kloczek
- merge bunch patches from MDK nad CNV,
- merge translations from CNV.

Revision 1.17  2001/10/10 14:59:45  qboosh
- BuildRequires: autoconf, automake

Revision 1.16  2001/09/24 11:49:01  qboosh
- Prereq: /sbin/chkconfig
- changed Requires: -libs to Prereq

Revision 1.15  2001/09/18 15:55:22  bonkey
- change in %%files list: %%{_sysconfdir}/etc to %%{_sysconfdir}/%%{name}

Revision 1.14  2001/09/02 19:50:37  kloczek
- reverte mapping %%{_sysconfdir} to /etc/cups.

Revision 1.13  2001/09/02 19:04:28  kloczek
- updated to 1.1.10,
- map %%{_sysconfdir} to /etc/cups,
- remove zlib-devel from NuildRequires (libpng-devel depends on this),
- added libjpeg-devel.

Revision 1.12  2001/09/01 13:21:23  mkochano
- Release 2.
- Added Provides/Obsoletes lpr

Revision 1.11  2001/08/15 14:34:26  kloczek
- run /sbin/ldconfig in %pos/%postun in libs subpackage,
- spec adapterized,
- added config patch (setup Princap variable to /etc/printcap),
- added %%{_sysconfdir}/cups directory to %files,
- removed %%{_docdir}/cups from %files,
- some cosmetics changes in %files.

Revision 1.10  2001/08/15 13:20:12  waszi
- typo in %%clean

Revision 1.9  2001/08/15 13:10:33  waszi
- rewrited for 1.1.9

Revision 1.8  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.6  2001/01/26 23:23:28  misiek
starting update. install and files section must be fixed.

Revision 1.5  2000/12/07 15:14:34  pascalek
- Release 3
- doc and config files added
- cups.init fixed (now cupsd use /etc/cups/cups.conf configuration file)

Revision 1.4  2000/12/07 09:36:41  pascalek
- Release 2
- devel and static packages added
- %%files section fixed

Revision 1.3  2000/12/07 08:27:13  pascalek
- Updated to 1.1.4
- cups-chown.patch rewriten and _placed_ in repo

Revision 1.2  2000/12/06 02:38:52  agaran
Just passed trough adapter
